/*  gameboard.h -	Defines the gameboard GUI
 *
 *  Stones of Asterind
 *
 *  Matthew J. Gelhaus
 *  October 24, 1998
 */
 
#ifndef __SA_GAMEBOARD_H
#define __SA_GAMEBOARD_H

GtkWidget *CreateGameBoard(int iNumRows, int iNumCols);
void EnableRow(int iRow);
void DisableRow(int iRow);
void ChangeColor(GtkWidget *wButton, gpointer pData);
void SetButtonColor(GtkWidget *wLED, int iColor);
gint UpdateTime(gpointer pData);
void UpdateScore(int iNewScore);

#endif /* __SA_GAMEBOARD_H */
