/*  dialogs.h -	Dialogs
 *
 *  Stones of Asterind
 *
 *  Matthew J. Gelhaus
 *  October 27, 1998
 */

#ifndef __SA_DIALOGS_H
#define __SA_DIALOGS_H

#define RESPONSE_NONE				0
#define RESPONSE_NO					1
#define RESPONSE_YES				2
#define RESPONSE_OK					3
#define RESPONSE_CANCEL				4
#define RESPONSE_OK_NEW_GAME		5
#define RESPONSE_CLOSE_ACK			6

int	bResponse;

void LoseGameDialog();
void WinGameDialog();
void AboutDialog(gchar *sID);
void OptionsDialog(gchar *sID);
void LowColorWarningDialog();
void HighScoresDialog(gchar *sID);

void SetNumberRows(GtkWidget *wItem, gpointer pData);
void SetNumberCols(GtkWidget *wItem, gpointer pData);
void SetNumberColors(GtkWidget *wItem, gpointer pData);
void SetRepeat(GtkWidget *wButton, gpointer pData);


#endif /* __SA_DIALOGS_H */
