/*  hiscores.h -	manages High Scores list
 *
 *  Stones of Asterind
 *
 *  Matthew J. Gelhaus
 *  October 2, 1998
 */
 
#ifndef __SA_HISCORES_H
#define __SA_HISCORES_H

#ifndef TRUE
#define TRUE		1
#endif

#ifndef FALSE
#define FALSE		0
#endif

int CheckScore(int iScore);
void NewHighScore(int iScore, const char *sName, unsigned int uiTime, 
                  unsigned int uiDate, int iRows, int iNumRows,
                  int iNumCols, int iNumColors);
void GetHighScore(int iRank, int *iScore, char *sName, unsigned int *uiTime,
                  unsigned int *uiDate, int *iRows, int *iNumRows,
                  int *iNumCols, int *iNumColors);
void SaveHighScores();
void LoadHighScores();


int		iNumScores;

#endif /* __SA_HISCORES_H */
